import request from '@/utils/request'

// 查询压力管道台账列表
export function listDevylgd(query) {
  return request({
    url: '/sems/devylgd/list',
    method: 'get',
    params: query
  })
}

// 查询压力管道台账详细
export function getDevylgd(id) {
  return request({
    url: '/sems/devylgd/' + id,
    method: 'get'
  })
}

// 新增压力管道台账
export function addDevylgd(data) {
  return request({
    url: '/sems/devylgd',
    method: 'post',
    data: data
  })
}

// 修改压力管道台账
export function updateDevylgd(data) {
  return request({
    url: '/sems/devylgd',
    method: 'put',
    data: data
  })
}

// 删除压力管道台账
export function delDevylgd(id) {
  return request({
    url: '/sems/devylgd/' + id,
    method: 'delete'
  })
}

// 导出压力管道台账
export function exportDevylgd(query) {
  return request({
    url: '/sems/devylgd/export',
    method: 'get',
    params: query
  })
}
